<!DOCTYPE HTML>
<html <?php language_attributes(); ?>>
<head>
<?php
    // Logo
    $quemag_wp_logo = get_theme_mod('quemag_wp_logo');
    if (empty($quemag_wp_logo)) { $quemag_wp_logo = get_template_directory_uri().'/images/logo.png'; }
?>
    <!-- Meta Tags -->
    <meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />

    <!-- Mobile Device Meta -->
    <meta name="viewport" content="width=device-width, initial-scale=1"> 

    <!-- Theme output -->
    <?php wp_head(); ?> 

</head>
<body <?php body_class(); ?>>
<?php wp_body_open(); ?>

<header>
    <?php if ( 'option2' == get_theme_mod( 'quemag_wp_display_tags' ) ) {  ?>
        <div class="top-navigation">
            <div class="wrap-center">
                <div class="popular-words">
                    <strong><?php esc_html_e('Popular Topics', 'quemag-wp'); ?></strong> <?php wp_tag_cloud('number='. esc_attr(get_theme_mod('quemag_wp_nr_tags')) .'&orderby=count&order=DESC'); ?>
                </div>
            </div><!-- end .wrap-center -->
        </div><div class="clear"></div>
    <?php } ?>

    
        <!-- Top bar colors -->
        <div class="main-header">
            <!-- Logo -->  
            <a href="<?php echo esc_url(home_url( '/' )); ?>"><img class="logo" src="<?php echo esc_url($quemag_wp_logo); ?>" alt="<?php esc_attr(bloginfo('sitename')); ?>" /></a>

            <!-- search form get_search_form(); -->
            <?php get_search_form(); ?>
 
            <!-- Navigation Menu -->
            <?php if ( has_nav_menu( 'quemag-wp-primary-menu' ) ) { // Check if there's a menu assigned to the 'Header Navigation' location. ?>
                <nav>
                    <!-- Menu Toggle btn-->
                    <div class="menu-toggle">
                        <button type="button" id="menu-btn">
                            <span class="icon-bar"></span><span class="icon-bar"></span><span class="icon-bar"></span>
                        </button>
                    </div>                       
                    <?php wp_nav_menu( array( 'container' => false, 'items_wrap' => '<ul id="respMenu" class="ant-responsive-menu" data-menu-style="horizontal">%3$s</ul>', 'theme_location' => 'quemag-wp-primary-menu' ) ); ?>
                </nav>
            <?php } // End check for menu. ?>
            <div class="clear"></div>
        </div><!-- end .main-header -->
</header><!-- end #header -->

    <?php if ( 'option2' == get_theme_mod( 'quemag_wp_topicons_display' ) ) {  ?>
        <ul class="top-social">
            <?php if ( get_theme_mod( 'facebook-url' ) ) { ?> <li><a href="<?php echo esc_url(get_theme_mod('facebook-url')); ?>" rel="noopener noreferrer" target="_blank"><i class="fab fa-facebook-f"></i></a></li> <?php } ?>
            <?php if ( get_theme_mod( 'twitter-url' ) ) { ?> <li><a href="<?php echo esc_url(get_theme_mod('twitter-url')); ?>" rel="noopener noreferrer" target="_blank"><i class="fab fa-twitter"></i></a></li> <?php } ?>
            <?php if ( get_theme_mod( 'vk-url' ) ) { ?> <li><a href="<?php echo esc_url(get_theme_mod('vk-url')); ?>" rel="noopener noreferrer" target="_blank"><i class="fab fa-vk"></i></a></li> <?php } ?>
            <?php if ( get_theme_mod( 'pinterest-url' ) ) { ?> <li><a href="<?php echo esc_url(get_theme_mod('pinterest-url')); ?>" rel="noopener noreferrer" target="_blank"><i class="fab fa-pinterest"></i></a></li> <?php } ?>
            <?php if ( get_theme_mod( 'instagram-url' ) ) { ?> <li><a href="<?php echo esc_url(get_theme_mod('instagram-url')); ?>" rel="noopener noreferrer" target="_blank"><i class="fab fa-instagram"></i></a></li> <?php } ?>
            <?php if ( get_theme_mod( 'xing-url' ) ) { ?> <li><a href="<?php echo esc_url(get_theme_mod('xing-url')); ?>" rel="noopener noreferrer" target="_blank"><i class="fab fa-xing"></i></a></li> <?php } ?>
            <?php if ( get_theme_mod( 'dribbble-url' ) ) { ?> <li><a href="<?php echo esc_url(get_theme_mod('dribbble-url')); ?>" rel="noopener noreferrer" target="_blank"><i class="fab fa-dribbble"></i></a></li> <?php } ?>
            <?php if ( get_theme_mod( 'vimeo-url' ) ) { ?> <li><a href="<?php echo esc_url(get_theme_mod('vimeo-url')); ?>" rel="noopener noreferrer" target="_blank"><i class="fab fa-vimeo-v"></i></a></li> <?php } ?>
            <?php if ( get_theme_mod( 'youtube-url' ) ) { ?> <li><a href="<?php echo esc_url(get_theme_mod('youtube-url')); ?>" rel="noopener noreferrer" target="_blank"><i class="fab fa-youtube"></i></a></li> <?php } ?>
            <?php if ( get_theme_mod( 'soundcloud-url' ) ) { ?> <li><a href="<?php echo esc_url(get_theme_mod('soundcloud-url')); ?>" rel="noopener noreferrer" target="_blank"><i class="fab fa-soundcloud"></i></a></li> <?php } ?>
        </ul><!-- end .top-social -->
    <?php } ?>

<?php if ( 'option2' == get_theme_mod( 'quemag_wp_display_featured_posts' ) ) {  ?>
<?php if ( is_front_page() ) { ?>
    <!-- Featured Blog Posts -->
    <div id="featured-posts-section">
    <div id="featured-posts">
    <ul class="featured-home-posts">

        <?php $quemag_wp_display_featured_cat = get_theme_mod('quemag_wp_display_featured_cat'); ?>
        <?php $quemag_home_featuredposts = new WP_Query( array( 'post_type' => 'post',  'ignore_sticky_posts' => esc_attr(1), 'category_name' => esc_attr($quemag_wp_display_featured_cat), 'posts_per_page' => esc_attr(5) ) );  ?> 
        <?php $post = $posts[0]; $c=0;?>
        <?php while ($quemag_home_featuredposts->have_posts()) : $quemag_home_featuredposts->the_post(); ?>       

        <?php $c++;
        if( !$paged && $c == 1) : ?>
        <li <?php post_class('big img-zoom-in') ?>> 
            <?php if ( has_post_thumbnail()) { ?>               
                <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail('quemag-wp-thumbnail-blog-featured'); ?></a>
            <?php } else { ?>             
                <a href="<?php the_permalink(); ?>"> <img src="<?php echo esc_url(get_template_directory_uri()); ?>/images/random-img.png" alt="<?php esc_attr_e( 'Article image', 'quemag-wp' ); ?>" /></a>
            <?php } ?>
                <div class="inner-big">
                    <div class="inner-cell">
                        <div class="article-category"><?php $quemag_wp_category = get_the_category(); if ($quemag_wp_category) { echo wp_kses_post('<a href="' . get_category_link( $quemag_wp_category[0]->term_id ) . '">' . $quemag_wp_category[0]->name.'</a> ');}  ?></div><!-- end .article-category -->
                        <!-- Title --><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><h2><?php if ( 'option2' == get_theme_mod( 'quemag_wp_display_full_title' ) ) { the_title(); } else { quemag_wp_the_title( 55, ' ..'); } ?></h2></a> <div class="clear"></div>
                        <!-- Date --><div class="an-date"><i class="fas fa-clock"></i> <?php echo get_the_date(); ?></div><div class="clear"></div>
                    </div><!-- end .inner-cell --> 
                </div><!-- end .inner-big --> 

                <div class="grid-top">
                    <div class="grid-useravatar"><a href="<?php echo esc_url(get_author_posts_url( get_the_author_meta( 'ID' ) )); ?>"><?php echo wp_kses_post(get_avatar( get_the_author_meta( 'user_email' ), 22 )); ?></a></div>
                    <div class="grid-username"><a href="<?php echo esc_url(get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) )); ?>"><?php the_author_meta('nickname'); ?></a></div>
                </div><!-- end .grid-top --> 
        </li>
        <?php else : ?>
        <li <?php post_class('img-zoom-in') ?>>
            <?php if ( has_post_thumbnail()) { ?> 
                <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail('quemag-wp-thumbnail-blog-featured-small'); ?></a>
            <?php } else { ?>           
                <a href="<?php the_permalink(); ?>"> <img src="<?php echo esc_url(get_template_directory_uri()); ?>/images/random-img.png" alt="<?php esc_attr_e( 'Article image', 'quemag-wp' ); ?>" /></a>
            <?php } ?>   
                <div class="inner-small">
                    <div class="inner-cell">
                        <!-- Title --><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><h2><?php if ( 'option2' == get_theme_mod( 'quemag_wp_display_full_title' ) ) { the_title(); } else { quemag_wp_the_title( 55, ' ..'); } ?></h2></a> <div class="clear"></div>
                        <!-- Date --><div class="an-date"><i class="fas fa-clock"></i> <?php echo get_the_date(); ?></div><div class="clear"></div>
                    </div><!-- end .inner-cell --> 
                </div><!-- end .inner-small -->                                    
        </li>
        <?php endif;?>

      <?php endwhile; 
      /* Restore original Post Data */
      wp_reset_postdata(); ?>
    </ul><!-- end .featured-home-posts -->
    <div class="clear"></div>
    </div><!-- end #featured-posts -->
    </div><!-- end #featured-posts-section -->
    <div class="clear"></div>
<?php } } ?>


<?php if ( 'option2' == get_theme_mod( 'quemag_wp_display_big_search' ) ) {  ?>
<?php if ( is_front_page() ) { ?>
    <!-- Begin Big Search -->
    <div class="front-overlay-content">
        <div class="front-overlay-wrap">
            <h1><?php echo wp_kses_post(stripslashes(get_theme_mod('quemag_wp_big_search_title'))); ?></h1>

            <!-- search form get_search_form(); -->
            <form id="searchform1" method="get" action="<?php echo esc_url( home_url( '/' ) ); ?>">
                <input placeholder="<?php esc_attr_e('Search for best topics, links ...', 'quemag-wp'); ?>" type="text" name="q" id="q" />
                <input type="submit" value="<?php esc_attr_e('Search', 'quemag-wp'); ?>" class="buttonicon" /><div class="clear"></div>
            </form>

            <!-- popular words -->
            <div class="popular-words-search">
                <?php esc_html_e('Popular topics:', 'quemag-wp'); ?> <?php wp_tag_cloud('number='. esc_attr(get_theme_mod('quemag_wp_big_search_nr_tags')) .'&orderby=count&order=DESC'); ?>
            </div>

        </div>
    </div>
<?php } } ?>