<?php

/**
* 
* $acid_location is where the Acid folder is located in your theme
* In this scenaario, the Acid folder is located in wp-contents/themes/quemag-wp/inc
* Tran: includes/AcidOptions.php controls/Sortable.php
* It is important to specify the location properly so that Acid knows the location of the assets it needs to look and function correctly
* 
*/

$acid_location = get_stylesheet_directory_uri() . '/inc/'; 
$acid = acid_instance( $acid_location );

$categories = get_categories();
$cats = array();
$i = 0;
foreach($categories as $category){
    if($i==0){
        $default = $category->slug;
        $i++;
    }
    $cats[$category->slug] = $category->name;
}

/**
*
* Create your theme options as PHP arrays
* WordPress Customizer's structure allows you to create Options that are nested in Sections, which are in turn nested in Panels
* 
* Acid uses the same structure, allowing you to nest options easily, without needing to reference the section or panel ID
*
*/
$data = array (
    'panels' => array (
        'another-panel' => array (
            'title' => esc_html__( '&#9829; Theme Options', 'quemag-wp' ),
            'description' => esc_html__( 'WordPress Theme Customizer', 'quemag-wp' ),
            'sections' => array (



                //////////// Section
                'quemag_logo_settings' => array (
                    'title' => esc_html__( 'Logo Settings', 'quemag-wp' ),
                    'options' => array (
                        
                        // Logo
                        'quemag_wp_logo'  => array(
                            'label'         => esc_html__( 'Custom Logo.', 'quemag-wp' ),
                            'description'   => esc_html__('Upload a custom logo image for your site here. Size for height should be 80px or 160px for a better display, for retina screens.', 'quemag-wp'),
                            'type'          => 'image',
                        ),

                    ), // Options
                ), // General Settings




                //////////// Section
                'quemag_social_settings' => array (
                    'title' => esc_html__( 'Social H. Settings', 'quemag-wp' ),
                    'options' => array (

                        // Social icons
                        'quemag_wp_topicons_display' => array (
                            'label' => esc_html__('Display Social Icons?', 'quemag-wp'),
                            'type' => 'select',
                            'default' => 'option1',
                            'choices' => array (
                                'option1' => esc_html__( 'No', 'quemag-wp'),
                                'option2' => esc_html__( 'Yes', 'quemag-wp'), 
                            ),
                        ),

                        'spaceheader'   => array(
                            'type'      => 'anspace',
                        ),                         

                        // Facebook icon
                        'facebook-url'          => array(
                            'label'         => esc_html__( 'Facebook URL', 'quemag-wp' ),
                            'description'   => esc_html__( 'ex: https://www.facebook.com/anthemes.club/', 'quemag-wp' ),
                            'type'          => 'url',
                            'default'       => ''
                        ),

                        // Twitter icon
                        'twitter-url'          => array(
                            'label'         => esc_html__( 'Twitter URL', 'quemag-wp' ),
                            'type'          => 'url',
                            'default'       => ''
                        ),

                        // vk icon
                        'vk-url'          => array(
                            'label'         => esc_html__( 'VK URL', 'quemag-wp' ),
                            'type'          => 'url',
                            'default'       => ''
                        ),

                        // pinterest icon
                        'pinterest-url'          => array(
                            'label'         => esc_html__( 'Pinterest URL', 'quemag-wp' ),
                            'type'          => 'url',
                            'default'       => ''
                        ),

                        // instagram icon
                        'instagram-url'          => array(
                            'label'         => esc_html__( 'Instagram URL', 'quemag-wp' ),
                            'type'          => 'url',
                            'default'       => ''
                        ),

                        // xing icon
                        'xing-url'          => array(
                            'label'         => esc_html__( 'Xing URL', 'quemag-wp' ),
                            'type'          => 'url',
                            'default'       => ''
                        ),                        

                        // dribbble icon
                        'dribbble-url'          => array(
                            'label'         => esc_html__( 'Dribbble URL', 'quemag-wp' ),
                            'type'          => 'url',
                            'default'       => ''
                        ),                        

                        // vimeo icon
                        'vimeo-url'          => array(
                            'label'         => esc_html__( 'Vimeo URL', 'quemag-wp' ),
                            'type'          => 'url',
                            'default'       => ''
                        ), 

                        // youtube icon
                        'youtube-url'          => array(
                            'label'         => esc_html__( 'Youtube URL', 'quemag-wp' ),
                            'type'          => 'url',
                            'default'       => ''
                        ), 

                        // soundcloud icon
                        'soundcloud-url'          => array(
                            'label'         => esc_html__( 'Soundcloud URL', 'quemag-wp' ),
                            'type'          => 'url',
                            'default'       => ''
                        ), 

                    ), // Options
                ), // General Settings



                //////////// Section
                'quemag_header_settings' => array (
                    'title' => esc_html__( 'Header Settings', 'quemag-wp' ),
                    'options' => array (

                        // Tags
                        'quemag_wp_display_tags' => array (
                            'label' => esc_html__('Display Popular Topics (TOP)?', 'quemag-wp'),
                            'type' => 'select',
                            'default' => 'option1',
                            'choices' => array (
                                'option1' => esc_html__( 'No', 'quemag-wp'),
                                'option2' => esc_html__( 'Yes', 'quemag-wp'), 
                            ),
                        ), 

                        // Nr of tags
                        'quemag_wp_nr_tags'        => array(
                            'label'         => __( 'Number of Topics', 'quemag-wp' ),
                            'type'          => 'range',
                            'default'       => 10,
                            'min'           => 1, // minimum allowed value
                            'max'           => 10, // max allowed value
                            'step'          => 1 // increment value
                        ),

                        // Space
                        'spaceheader0'   => array(
                            'type'      => 'anspace',
                        ), 


                        // Nr of tags
                        'quemag_wp_header_padding'        => array(
                            'label'         => __( 'Header Padding (Top/Bottom)', 'quemag-wp' ),
                            'description'   => esc_html__('Decrease the height of your header, default 20px.', 'quemag-wp'),
                            'type'          => 'range',
                            'default'       => 20,
                            'min'           => 1, // minimum allowed value
                            'max'           => 30, // max allowed value
                            'step'          => 1 // increment value
                        ),

                        // Space
                        'spaceheader01'   => array(
                            'type'      => 'anspace',
                        ), 

                        // Featured Articles
                        'quemag_wp_display_featured_posts' => array (
                            'label' => esc_html__('Display 5 Featured Posts?', 'quemag-wp'),
                            'type' => 'select',
                            'default' => 'option1',
                            'choices' => array (
                                'option1' => esc_html__( 'No', 'quemag-wp'),
                                'option2' => esc_html__( 'Yes', 'quemag-wp'), 
                            ),
                        ), 

                        // Categories
                        'quemag_wp_display_featured_cat'   => array(
                            'label'   => esc_html__('Select a Category.', 'quemag-wp'),
                            'type'    => 'select',
                            'choices' => $cats
                        ),

                        // Full Length Title
                        'quemag_wp_display_full_title' => array (
                            'label' => esc_html__('Display full-length titles?', 'quemag-wp'),
                            'type' => 'select',
                            'default' => 'option1',
                            'choices' => array (
                                'option1' => esc_html__( 'No', 'quemag-wp'),
                                'option2' => esc_html__( 'Yes', 'quemag-wp'), 
                            ),
                        ),

                        // Space
                        'spaceheader1'   => array(
                            'type'      => 'anspace',
                        ), 

                        // Big Search
                        'quemag_wp_display_big_search' => array (
                            'label' => esc_html__('Display Big Search?', 'quemag-wp'),
                            'type' => 'select',
                            'default' => 'option1',
                            'choices' => array (
                                'option1' => esc_html__( 'No', 'quemag-wp'),
                                'option2' => esc_html__( 'Yes', 'quemag-wp'), 
                            ),
                        ), 

                        // BG Img
                        'quemag_wp_big_search_img'  => array(
                            'label'         => esc_html__( 'Background Image', 'quemag-wp' ),
                            'description'   => esc_html__('Image can have any size!', 'quemag-wp'),
                            'type'          => 'image',
                        ),

                        // Big Search Title
                        'quemag_wp_big_search_title' => array(
                            'label'         => esc_html__( 'Search Title', 'quemag-wp' ),
                            'type'          => 'textarea',
                            'default'       => "Qnews is a giant collection of the best News and interesting links on the web!",
                        ),                        

                        // Nr of tags
                        'quemag_wp_big_search_nr_tags'        => array(
                            'label'         => __( 'Number of Topics', 'quemag-wp' ),
                            'type'          => 'range',
                            'default'       => 7,
                            'min'           => 1, // minimum allowed value
                            'max'           => 20, // max allowed value
                            'step'          => 1 // increment value
                        ),

                        // Space
                        'spaceheader1search'   => array(
                            'type'      => 'anspace',
                        ), 

                        // Leaderboard AD
                        'quemag_wp_display_leaderboard' => array (
                            'label' => esc_html__('Display: Leaderboard AD?', 'quemag-wp'),
                            'type' => 'select',
                            'default' => 'option2',
                            'choices' => array (
                                'option1' => esc_html__( 'Yes', 'quemag-wp'),
                                'option2' => esc_html__( 'No', 'quemag-wp'), 
                            ),
                        ),

                        // 970x90 AD AREA
                        'quemag_wp_leaderboard_code' => array(
                            'label'         => esc_html__( 'Leaderboard Advertisement', 'quemag-wp' ),
                            'description'   => esc_html__( 'Paste your HTML or JavaScript code here. Advertisement displayed below Featured Articles section.', 'quemag-wp' ),
                            'type'          => 'textarea',
                            'default'       => "<a href=\"#\"><img src=\"https://via.placeholder.com/970x90/ffc600/ffffff?text=Leaderboard +AD\" alt=\"img\" /></a>",
                        ),



                    ), // Options
                ), // General Settings



                //////////// Section
                'quemag_blog_settings' => array (
                    'title' => esc_html__( 'Blog Settings', 'quemag-wp' ),
                    'options' => array (

                        // Content Margin
                        'quemag_wp_content_margin_top'        => array(
                            'label'         => __( 'Content Margin Top', 'quemag-wp' ),
                            'description'   => esc_html__('Increase the top margin of your content.', 'quemag-wp'),
                            'type'          => 'range',
                            'default'       => 0,
                            'min'           => 1, // minimum allowed value
                            'max'           => 50, // max allowed value
                            'step'          => 1 // increment value
                        ),

                        // Space
                        'spaceblog02'   => array(
                            'type'      => 'anspace',
                        ), 

                        // Masonry (default) or List style
                        'quemag_wp_choose_index_style' => array (
                            'label' => esc_html__('Choose Category Style', 'quemag-wp'),
                            'description'   => esc_html__( 'Choose a style for categories / search / tags pages. Masonry Full Width style is displayed by default.', 'quemag-wp' ),
                            'type' => 'select',
                            'default' => 'option1',
                            'choices' => array (
                                'option1' => esc_html__( 'Masonry Full Width', 'quemag-wp'),
                                'option2' => esc_html__( 'List with Sidebars', 'quemag-wp'),
                                'option3' => esc_html__( 'Masonry with Sidebar', 'quemag-wp'),
                            ),
                        ),

                        // Space
                        'spaceblog0'   => array(
                            'type'      => 'anspace',
                        ), 


                        // Masonry (default) or List style
                        'quemag_wp_choose_widgettitle_style' => array (
                            'label' => esc_html__('Chosee Widget Title Style', 'quemag-wp'),
                            'description'   => esc_html__( 'Vertical or horizontal. Horizontal is displayed by default for the widgets added to the sidebars (left/right).', 'quemag-wp' ),
                            'type' => 'select',
                            'default' => 'option1',
                            'choices' => array (
                                'option1' => esc_html__( 'Horizontal Style', 'quemag-wp'),
                                'option2' => esc_html__( 'Vertical Style', 'quemag-wp'), 
                            ),
                        ),

                        // Space
                        'spaceblog01'   => array(
                            'type'      => 'anspace',
                        ), 

                        // Related Posts and AD AREA
                        'quemag_wp_display_add_relatedarticles' => array (
                            'label' => esc_html__('Display: Advertisement and Related Articles?', 'quemag-wp'),
                            'type' => 'select',
                            'default' => 'option1',
                            'choices' => array (
                                'option1' => esc_html__( 'No', 'quemag-wp'),
                                'option2' => esc_html__( 'Yes', 'quemag-wp'), 
                            ),
                        ),

                        // Space
                        'spaceblog1'   => array(
                            'type'      => 'anspace',
                        ), 

                        // 300x250 AD AREA
                        'quemag_wp_related_add300' => array(
                            'label'         => esc_html__( '300x250 Advertisements', 'quemag-wp' ),
                            'description'   => esc_html__( 'Paste your HTML or JavaScript code here. Advertisement displayed to the left in Related Articles section.', 'quemag-wp' ),
                            'type'          => 'textarea',
                            'default'       => "<a href=\"#\"><img src=\"https://via.placeholder.com/300x250/ffc600/ffffff?text=300 +AD\" alt=\"img\" /></a>",
                        ), 

                    ), // Options
                ), // Blog Settings



                //////////// Section
                //////////// Style Settings
                'quemag_style_settings' => array (
                    'title' => esc_html__( 'Style Settings', 'quemag-wp' ),
                    'options' => array (
                        
                        'quemag_wp_main_color1' => array(
                            'label'         => esc_html__( 'Main Color (yellow)', 'quemag-wp' ),
                            'description'   => esc_html__( 'Use the color picker to change the main color of the site to match your brand color.', 'quemag-wp' ),
                            'type'          => 'color',
                            'default'       => '#ffc600'
                        ), 

                        'quemag_wp_main_color2' => array(
                            'label'         => esc_html__( 'Main Color (black)', 'quemag-wp' ),
                            'description'   => esc_html__( 'Use the color picker to change the main color of the site to match your brand color.', 'quemag-wp' ),
                            'type'          => 'color',
                            'default'       => '#13131C'
                        ), 

                        'spacestyle1'   => array(
                            'type'      => 'anspace',
                        ),  

                        'quemag_wp_entry_linkcolor' => array(
                            'label'         => esc_html__( 'Entry Link Color', 'quemag-wp' ),
                            'description'   => esc_html__( 'Use the color picker to change the entry link color on article or default / full width pages.', 'quemag-wp' ),
                            'type'          => 'color',
                            'default'       => '#000000'
                        ), 

                        'quemag_wp_border_linkcolor' => array(
                            'label'         => esc_html__( 'Border Link Color', 'quemag-wp' ),
                            'description'   => esc_html__( 'Use the color picker to change the border link color on article or default / full width pages.', 'quemag-wp' ),
                            'type'          => 'color',
                            'default'       => '#ffc600'
                        ), 

                        'quemag_wp_hover_linkcolor' => array(
                            'label'         => esc_html__( 'Hover Link Color', 'quemag-wp' ),
                            'description'   => esc_html__( 'Use the color picker to change the hover link color.', 'quemag-wp' ),
                            'type'          => 'color',
                            'default'       => '#ffc600'
                        ), 

                        'spacestyle2'   => array(
                            'type'      => 'anspace',
                        ),                        

                        'quemag_wp_header_bg' => array(
                            'label'         => esc_html__( 'Header Background', 'quemag-wp' ),
                            'description'   => esc_html__( 'Use the color picker to change the Header Background color.', 'quemag-wp' ),
                            'type'          => 'color',
                            'default'       => '#13131c'
                        ),

                        'quemag_wp_footer_bg' => array(
                            'label'         => esc_html__( 'Footer Background', 'quemag-wp' ),
                            'description'   => esc_html__( 'Use the color picker to change the Footer Background color.', 'quemag-wp' ),
                            'type'          => 'color',
                            'default'       => '#13131c'
                        ),

                        'quemag_wp_footer_link_color' => array(
                            'label'         => esc_html__( 'Footer Link Color', 'quemag-wp' ),
                            'description'   => esc_html__( 'Use the color picker to change the Footer Link color.', 'quemag-wp' ),
                            'type'          => 'color',
                            'default'       => '#ffc600'
                        ),


                        'spacestyle3'   => array(
                            'type'      => 'anspace',
                        ), 

                        'quemag_wp_body_bg' => array(
                            'label'         => esc_html__( 'Body Background', 'quemag-wp' ),
                            'description'   => esc_html__( 'Use the color picker to change the Body Background color.', 'quemag-wp' ),
                            'type'          => 'color',
                            'default'       => '#f4f4f4'
                        ),   

                        'spacestyle4'   => array(
                            'type'      => 'anspace',
                        ), 

                    ), // Options
                ), // Style Settings


                //////////// Section
                'quemag_socialfooter_settings' => array (
                    'title' => esc_html__( 'Social F. Settings', 'quemag-wp' ),
                    'options' => array (

                        // Social icons
                        'quemag_wp_footer_display_icons' => array (
                            'label' => esc_html__('Display Social Icons?', 'quemag-wp'),
                            'type' => 'select',
                            'default' => 'option1',
                            'choices' => array (
                                'option1' => esc_html__( 'No', 'quemag-wp'),
                                'option2' => esc_html__( 'Yes', 'quemag-wp'), 
                            ),
                        ),

                        'spacesocialf1'   => array(
                            'type'      => 'anspace',
                        ),                         

                        // Facebook icon
                        'facebook-furl'          => array(
                            'label'         => esc_html__( 'Facebook URL', 'quemag-wp' ),
                            'description'   => esc_html__( 'ex: https://www.facebook.com/anthemes.club/', 'quemag-wp' ),
                            'type'          => 'url',
                            'default'       => ''
                        ),

                        // Twitter icon
                        'twitter-furl'          => array(
                            'label'         => esc_html__( 'Twitter URL', 'quemag-wp' ),
                            'type'          => 'url',
                            'default'       => ''
                        ),

                        // vk icon
                        'vk-furl'          => array(
                            'label'         => esc_html__( 'VK URL', 'quemag-wp' ),
                            'type'          => 'url',
                            'default'       => ''
                        ),

                        // pinterest icon
                        'pinterest-furl'          => array(
                            'label'         => esc_html__( 'Pinterest URL', 'quemag-wp' ),
                            'type'          => 'url',
                            'default'       => ''
                        ),

                        // instagram icon
                        'instagram-furl'          => array(
                            'label'         => esc_html__( 'Instagram URL', 'quemag-wp' ),
                            'type'          => 'url',
                            'default'       => ''
                        ),

                        // xing icon
                        'xing-furl'          => array(
                            'label'         => esc_html__( 'Xing URL', 'quemag-wp' ),
                            'type'          => 'url',
                            'default'       => ''
                        ),                        

                        // dribbble icon
                        'dribbble-furl'          => array(
                            'label'         => esc_html__( 'Dribbble URL', 'quemag-wp' ),
                            'type'          => 'url',
                            'default'       => ''
                        ),                        

                        // vimeo icon
                        'vimeo-furl'          => array(
                            'label'         => esc_html__( 'Vimeo URL', 'quemag-wp' ),
                            'type'          => 'url',
                            'default'       => ''
                        ), 

                        // youtube icon
                        'youtube-furl'          => array(
                            'label'         => esc_html__( 'Youtube URL', 'quemag-wp' ),
                            'type'          => 'url',
                            'default'       => ''
                        ), 

                        // soundcloud icon
                        'soundcloud-furl'          => array(
                            'label'         => esc_html__( 'Soundcloud URL', 'quemag-wp' ),
                            'type'          => 'url',
                            'default'       => ''
                        ), 

                    ), // Options
                ), // General Settings


                //////////// Section
                //////////// Footer Settings
                'quemag_footer_settings' => array (
                    'title' => esc_html__( 'Footer Settings', 'quemag-wp' ),
                    'options' => array (


                        // Copyright
                        'quemag_copyright1' => array(
                            'label'         => esc_html__( 'Copyright 1st line.', 'quemag-wp' ),
                            'type'          => 'html',
                            'default'       => "249 E. Tropicana Avenue Las Vegas. <a href=\"#\">About Us</a> <a href=\"https://anthemes.com/pricing/\" target=\"_blank\">Join Anthemes</a> <a href=\"mailto:info@quemag.com\">info@quemag.com</a>",
                        ),   

                        'spacefooter'   => array(
                            'type'      => 'anspace',
                        ), 

                        // Copyright
                        'quemag_copyright2' => array(
                            'label'         => esc_html__( 'Copyright 2nd line.', 'quemag-wp' ),
                            'type'          => 'html',
                            'default'       => "&#xa9; 2020 Quemag. All Rights Reserved. Theme by <a href=\"https://anthemes.com/\" target=\"_blank\">Anthemes.com</a>",
                        ),

                    ), // Options
                ), // Footer Settings



            ),
        ),
    ),
);

$acid->config( $data );







/**
 * Output styles in the header
 */
function quemag_wp_inline_styles() {


$output = '';

    // Main Color (yellow)
    $quemag_wp_main_color1 = get_theme_mod('quemag_wp_main_color1');
    if (!empty($quemag_wp_main_color1)) {    
        // BG Color
         $output .= "ul.ant-responsive-menu li.current_page_item a, ul.ant-responsive-menu li.current-menu-ancestor a, ul.ant-responsive-menu li.current-menu-item a, ul.ant-responsive-menu li.current-menu-parent a, .popular-words strong, .article-category a, .listbtn-category, .wp-pagenavi a:hover, .home-title, .single-category a, .page-title-line, #single-share a.commbutton, .my-paginated-posts span, div.p-first-letter p:first-child:first-letter, .entry-btn, #newsletter-form input.newsletter-btn, .subscribe-widget input[type=submit], div.widget_search #searchform2 .buttonicon, #anthemes-404 h2, #back-top span, .front-overlay-content #searchform1 .buttonicon { background-color: $quemag_wp_main_color1 !important; }";
        // Color
         $output .= "ul.menu-left li a:hover, ul.ant-responsive-menu li.current_page_item a .arrow:before, ul.ant-responsive-menu li.current-menu-ancestor a .arrow:before, ul.ant-responsive-menu li.current-menu-item a .arrow:before, ul.ant-responsive-menu li.current-menu-parent a .arrow:before, .ant-responsive-menu li i, .popular-words a:hover, .popular-words span, ul.featured-home-posts li div.an-date i, ul.modern-list li div.an-date i, ul.modern-list li h2 a:hover, ul.module-grid li h4 a:hover, ul.module-grid li div.an-date i, .wrap-content .title-home-circle i, .indexbox a:hover, .entry-top .post-data div.time-article i, div.feed-info i, .article_list li div.an-date i, ul.article_list_small div.time-article-widget i, .widget_anthemes_categories li, div.tagcloud span, .widget_nav_menu li, .widget_archive li, .widget_pages li, .widget_meta li, .comments h3.comment-reply-title a#cancel-comment-reply-link, .wrap-footer div a, ul.article_list h4 a:hover, ul.article_list_small .an-widget-title h4 a:hover, div.tagcloud a:hover, ul.masonry-full li div.an-date i, ul.masonry-full li h2 a:hover, .defaultpag a:hover, .prev-articles h2 a:hover, ul.masonry-small li div.an-date i, ul.masonry-small li h2 a:hover, .wrap-masonry-small .title-home-circle i, .wrap-masonry-full .title-home-circle i { color: $quemag_wp_main_color1 !important; }";
        // Border bottom 1px
         $output .= ".prev-articles h2 a, ul.masonry-full li h2 a:hover, ul.masonry-full li.sticky h2 a, ul.modern-list li h2 a:hover, ul.modern-list li.sticky h2 a, ul.module-grid li h4 a, ul.module-grid li h4 a:hover, .author-name a, div.feed-info strong, ul.article_list h4 a, ul.article_list_small .an-widget-title h4 a, ul.masonry-small li h2 a:hover, ul.masonry-small li.sticky h2 a  { border-bottom: 1px solid $quemag_wp_main_color1 !important;}"; 
        // Border bottom 2px
         $output .= "h3.index-title, .indexbox a, .entry p a { border-bottom: 2px solid $quemag_wp_main_color1 !important;}";         
    }
    
    // Main Color (black)
    $quemag_wp_main_color2 = get_theme_mod('quemag_wp_main_color2');
    if (!empty($quemag_wp_main_color2)) {
        // BG Color
        $output .= ".wp-pagenavi span.current, h3.related-widget-title, .widget-title, .article-btn, .comments h3.comment-reply-title, #commentform #submit, form.wpcf7-form input.wpcf7-submit  { background-color: $quemag_wp_main_color2 !important; }";
        // boder
        $output .= "#commentform #submit, form.wpcf7-form input.wpcf7-submit  { border-color: $quemag_wp_main_color2 !important; }";        
        // Border left 5px
        $output .= "blockquote { border-left: 5px solid $quemag_wp_main_color2 !important;}";        
    }
 
    // Entry Link Color
    $quemag_wp_entry_linkcolor = get_theme_mod('quemag_wp_entry_linkcolor');
    if (!empty($quemag_wp_entry_linkcolor)) {
        $output .= ".entry p a { color: $quemag_wp_entry_linkcolor !important; }";
    }

    // Vertical or horizontal.
    $quemag_wp_choose_widgettitle_style = get_theme_mod('quemag_wp_choose_widgettitle_style');
    if ( 'option2' == get_theme_mod( 'quemag_wp_choose_widgettitle_style' ) ) {
        $output .= ".widget-title { width: 120px; height: 20px; -webkit-transform: rotate(-90deg); -moz-transform: rotate(-90deg); -ms-transform: rotate(-90deg); -o-transform: rotate(-90deg); transform: rotate(-90deg); float: left; position: absolute; margin: 63px 0 0 -99px;  }";
     }   

    // Hover Link Color
    $quemag_wp_hover_linkcolor = get_theme_mod('quemag_wp_hover_linkcolor');
    if (!empty($quemag_wp_hover_linkcolor)) {
        $output .= ".entry p a:hover { color: $quemag_wp_hover_linkcolor !important; }";        
    }
 
    // border Link Color
    $quemag_wp_border_linkcolor = get_theme_mod('quemag_wp_border_linkcolor');
    if (!empty($quemag_wp_border_linkcolor)) {
        $output .= ".entry p a { border-bottom: 2px solid $quemag_wp_border_linkcolor !important;}";       
    }

    // Header BG
    $quemag_wp_header_bg = get_theme_mod('quemag_wp_header_bg');
    if (!empty($quemag_wp_header_bg)) {
        $output .= "header, #featured-posts-section  { background-color: $quemag_wp_header_bg !important; }";
    }
 
    // Footer BG
    $quemag_wp_footer_bg = get_theme_mod('quemag_wp_footer_bg');
    if (!empty($quemag_wp_footer_bg)) {
        $output .= "footer, .wrap-footer { background-color: $quemag_wp_footer_bg !important; }";
    }

    // Footer link color
    $quemag_wp_footer_link_color = get_theme_mod('quemag_wp_footer_link_color');
    if (!empty($quemag_wp_footer_link_color)) {
        $output .= ".wrap-footer div a { color: $quemag_wp_footer_link_color !important; }";
    }

    // Body BG
    $quemag_wp_body_bg = get_theme_mod('quemag_wp_body_bg');
    if (!empty($quemag_wp_body_bg)) {
        $output .= "html body { background-color: $quemag_wp_body_bg !important; }";
    }

    // Header padding
    $quemag_wp_header_padding = get_theme_mod('quemag_wp_header_padding');
    if (!empty($quemag_wp_header_padding)) {
        $output .= '.main-header { padding-top: '. $quemag_wp_header_padding .'px !important; padding-bottom: '. $quemag_wp_header_padding .'px !important; }';
    }

    // Content Margin Top
    $quemag_wp_content_margin_top = get_theme_mod('quemag_wp_content_margin_top');
    if (!empty($quemag_wp_content_margin_top)) {
        $output .= '.wrap-fullwidth { margin-top: '. $quemag_wp_content_margin_top .'px !important;}';
    }

    // Big Search img
    $quemag_wp_big_search_img = get_theme_mod('quemag_wp_big_search_img');
    if (!empty($quemag_wp_big_search_img)) {
        $output .= ".front-overlay-content { background: url($quemag_wp_big_search_img); }";
    } 

    // Output styles
    if ($output <> '') {
        $output = "<!-- Anthemes.com \"Quemag\" Theme Styling --><style type=\"text/css\">" . $output . "</style>";
        echo stripslashes_deep($output);
    }
}
add_action( 'wp_head', 'quemag_wp_inline_styles', 100 );

?>