<!-- Begin Wrap Content -->
<div class="wrap-fullwidth">

    <!-- Begin Main Home Content -->
    <div class="wrap-masonry-small">     
        <?php if (is_category()) { ?> 
            <h3 class="index-title"><?php esc_html_e( 'All posts in:', 'quemag-wp' ); ?> <?php single_cat_title(''); ?></h3><div class="title-home-circle"><i class="fas fa-circle"></i></div>
            <?php $category_description = category_description(); if ( ! empty( $category_description ) ) { ?>
                <div class="indexbox"><?php echo category_description(); ?></div>
            <?php } ?>
        <?php } elseif (is_tag()) { ?>
            <h3 class="index-title"><?php esc_html_e( 'All posts tagged in:', 'quemag-wp' ); ?> <?php single_tag_title(''); ?></h3><div class="title-home-circle"><i class="fas fa-circle"></i></div>
            <?php $tag_description = tag_description(); if ( ! empty( $tag_description ) ) { ?>
                <div class="indexbox"><?php echo tag_description(); ?></div>
            <?php } ?>        
        <?php } elseif (is_search()) { ?>
            <h3 class="index-title"><?php printf( esc_html__( 'Search Results for: %s', 'quemag-wp' ), '' . get_search_query() . '' ); ?></h3><div class="title-home-circle"><i class="fas fa-circle"></i></div>
        <?php } elseif (is_author()) { ?> 
            <h3 class="index-title"><?php esc_html_e( 'All posts by:', 'quemag-wp' ); ?> <?php the_author(); ?></h3><div class="title-home-circle"><i class="fas fa-circle"></i></div>
        <?php } elseif (is_404()) { ?> 
            <h3 class="index-title"><?php esc_html_e('Error 404 - Not Found', 'quemag-wp'); ?></h3><div class="title-home-circle"><i class="fas fa-circle"></i></div>
            <?php esc_html_e('Sorry, but you are looking for something that isn\'t here.', 'quemag-wp'); ?>
        <?php } ?><div class="clear"></div>


        <ul class="masonry-small">
        <?php if (have_posts()) : while (have_posts()) : the_post(); ?>

            <li <?php post_class('ms-item') ?> id="post-<?php the_ID(); ?>">

                    <ul class="meta-icons-home">
                        <?php if (is_sticky()) { ?><li class="sticky-lm"><i class="fas fa-child"></i><span class="tooltiptext"><?php esc_html_e( 'Editor\'s Pick', 'quemag-wp' ); ?></span></li><?php } ?>
                    </ul><div class="clear"></div>  

                <?php if ( has_post_thumbnail()) { ?>
                    <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail('quemag-wp-thumbnail-blog-list', array('title' => "")); ?></a>
                <?php } // post thumbnail ?>

                <div class="masonry-small-content">
                    <div class="listbtn-category"><?php $category = get_the_category(); if ($category) 
                        { echo wp_kses_post('<a href="' . get_category_link( $category[0]->term_id ) . '">' . $category[0]->name.'</a> ');}  ?>
                    </div><!-- end .artbtn-category -->                 
                    
                    <h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
                    <?php if ( has_post_thumbnail()) { ?>
                        <p><?php echo wp_kses_post(quemag_wp_excerpt(strip_tags(strip_shortcodes(get_the_excerpt())), 60)); ?></p>
                    <?php } else { ?>
                        <p><?php echo wp_kses_post(quemag_wp_excerpt(strip_tags(strip_shortcodes(get_the_excerpt())), 170)); ?></p>
                    <?php } ?>

                    <div class="an-date"><i class="fas fa-clock"></i> <?php echo get_the_date(); ?></div>
                    <?php if ( function_exists( 'quemag_wp_social_share_home' ) ) { wp_kses_post(quemag_wp_social_share_home()); } ?>
                    <div class="clear"></div>
                </div><!-- end .masonry-small-content -->              
            </li><!-- end .ms-item -->    

        <?php endwhile; ?>
        </ul>  

            <!-- Pagination -->
            <div class="clear"></div>
            
                <?php if(function_exists('wp_pagenavi')) { 
                    if ( get_next_posts_link() || get_previous_posts_link() ) { ?> 
                        <div class="quemag-pag"><?php wp_pagenavi(); ?></div><!-- end .quemag-pag -->
                    <?php } ?>
                <?php } elseif ( get_next_posts_link() ) { ?>            
                    <div class="defaultpag">
                        <?php previous_posts_link('<i class="fas fa-angle-left"></i> ' . esc_html__('Newer Posts', 'quemag-wp') . ''); ?>
                        <?php next_posts_link('' . esc_html__('Older Posts', 'quemag-wp') . ' <i class="fas fa-angle-right"></i>'); ?>
                    </div><!-- end .defaultpag -->
                <?php } elseif ( get_previous_posts_link() ) { ?> 
                    <div class="defaultpag">
                        <?php previous_posts_link('<i class="fas fa-angle-left"></i> ' . esc_html__('Newer Posts', 'quemag-wp') . ''); ?>
                        <?php next_posts_link('' . esc_html__('Older Posts', 'quemag-wp') . ' <i class="fas fa-angle-right"></i>'); ?>
                    </div><!-- end .defaultpag -->
                <?php } ?>             

        <?php else : ?> 
            </ul>
            <div class="not-found">
                <p><?php esc_html_e('Not Found. Sorry, but you are looking for something that isn\'t here.', 'quemag-wp'); ?></p>
                <?php get_search_form(); ?> 
            </div><div class="clear"></div> 
        <?php endif; ?>  
    </div><!-- end .wrap-masonry-small -->

    <!-- Begin Sidebar (default right) -->
    <?php get_sidebar(); // add sidebar ?>
    <!-- end #sidebar (default right) --> 
        
<div class="clear"></div>
</div><!-- end .wrap-fullwidth -->