<?php 
/* 
Template Name: Template - Home Masonry (Sidebar)
*/ 
?>
<?php get_header(); // add header  ?> 


<?php if ( 'option1' == get_theme_mod( 'quemag_wp_display_leaderboard' ) ) {  ?>
    <div class="headerlb"><?php echo wp_kses_post(stripslashes(get_theme_mod('quemag_wp_leaderboard_code', '<a href=\"#\"><img src=\"https://via.placeholder.com/970x90/ffc600/ffffff?text=Leaderboard +AD\" alt=\"img\" /></a>'))); ?></div>
    <div class="clear"></div>
<?php } ?>

<!-- Begin Wrap Content -->
<div class="wrap-fullwidth"> 

        <?php if (have_posts()) : while (have_posts()) : the_post(); 
            $thecontent = get_the_content();
            if(!empty($thecontent)) { ?>        
                <div class="home-content">
                    <div class="entry"><?php the_content(''); // content ?></div>
                </div>
            <?php } ?>
        <?php endwhile; endif; ?>   
 

    <!-- Begin Main Home Content -->
    <div class="wrap-masonry-small">
        <ul class="masonry-small">
            <?php
                if ( get_query_var('paged') )  {  $paged = get_query_var('paged'); } elseif ( get_query_var('page') ) { $paged = get_query_var('page'); } else { $paged = 1;  }
                // The Query
                query_posts( array( 'post_type' => 'post', 'paged' => $paged ) );
                $quemagnum=0; if (have_posts()) : while (have_posts()) : the_post(); $quemagnum++;
            ?>

            <li <?php post_class('ms-item') ?> id="post-<?php the_ID(); ?>">

                    <ul class="meta-icons-home">
                        <?php if (is_sticky()) { ?><li class="sticky-lm"><i class="fas fa-child"></i><span class="tooltiptext"><?php esc_html_e( 'Editor\'s Pick', 'quemag-wp' ); ?></span></li><?php } ?>
                    </ul><div class="clear"></div>  

                <?php if ( has_post_thumbnail()) { ?>
                    <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail('quemag-wp-thumbnail-blog-list', array('title' => "")); ?></a>
                <?php } // post thumbnail ?>

                <div class="masonry-small-content">
                    <div class="listbtn-category"><?php $category = get_the_category(); if ($category) 
                        { echo wp_kses_post('<a href="' . get_category_link( $category[0]->term_id ) . '">' . $category[0]->name.'</a> ');}  ?>
                    </div><!-- end .artbtn-category -->                 
                    
                    <h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
                    <?php if ( has_post_thumbnail()) { ?>
                        <p><?php echo wp_kses_post(quemag_wp_excerpt(strip_tags(strip_shortcodes(get_the_excerpt())), 60)); ?></p>
                    <?php } else { ?>
                        <p><?php echo wp_kses_post(quemag_wp_excerpt(strip_tags(strip_shortcodes(get_the_excerpt())), 170)); ?></p>
                    <?php } ?>

                    <div class="an-date"><i class="fas fa-clock"></i> <?php echo get_the_date(); ?></div>
                    <?php if ( function_exists( 'quemag_wp_social_share_home' ) ) { wp_kses_post(quemag_wp_social_share_home()); } ?>
                    <div class="clear"></div>
                </div><!-- end .masonry-full-content -->              
            </li><!-- end .ms-item -->   

            <?php endwhile; ?>             
        </ul><!-- end .modern-list -->

            <!-- Pagination -->
            <div class="clear"></div>
            
                <?php if(function_exists('wp_pagenavi')) { 
                    if ( get_next_posts_link() || get_previous_posts_link() ) { ?> 
                        <div class="quemag-pag"><?php wp_pagenavi(); ?></div><!-- end .quemag-pag -->
                    <?php } ?>
                <?php } elseif ( get_next_posts_link() ) { ?>            
                    <div class="defaultpag">
                        <?php previous_posts_link('<i class="fas fa-angle-left"></i> ' . esc_html__('Newer Posts', 'quemag-wp') . ''); ?>
                        <?php next_posts_link('' . esc_html__('Older Posts', 'quemag-wp') . ' <i class="fas fa-angle-right"></i>'); ?>
                    </div><!-- end .defaultpag -->
                <?php } elseif ( get_previous_posts_link() ) { ?> 
                    <div class="defaultpag">
                        <?php previous_posts_link('<i class="fas fa-angle-left"></i> ' . esc_html__('Newer Posts', 'quemag-wp') . ''); ?>
                        <?php next_posts_link('' . esc_html__('Older Posts', 'quemag-wp') . ' <i class="fas fa-angle-right"></i>'); ?>
                    </div><!-- end .defaultpag -->
                <?php } ?>  

        <?php endif; ?> 
 
    </div><!-- end .wrap-masonry-small -->

  
    <!-- Begin Sidebar (default right) -->
    <?php get_sidebar(); // add sidebar ?>
    <!-- end #sidebar (default right) --> 
       
<div class="clear"></div>
</div><!-- end .wrap-fullwidth -->

     <!-- Home Modules (Widgets) -->
    <?php if ( is_active_sidebar( 'homemodules_quemag_wp' ) ) { ?>
        <div class="clear"></div>
        <div class="content-modules"><?php dynamic_sidebar( 'homemodules_quemag_wp' ); ?></div>
    <?php } ?> 
    <!-- End. Home Modules -->     

<?php get_footer(); // add footer  ?>