<?php
// ------------------------------------------------------
// ------ Recent Posts  ---------------------------
// ------ by AnThemes.net -------------------------------
//        https://anthemes.com/
//        https://anthemes.com/pricing/ 
// ------------------------------------------------------

class quemag_wp_recentposts extends WP_Widget {
     function __construct() {
      $widget_ops = array('description' => esc_html__('Your site\'s most recent Posts.', 'quemag-wp'));
        parent::__construct(false, $name = ''. esc_html__('Custom: Recent Posts', 'quemag-wp') .'',$widget_ops); 
    }


    function widget($args, $instance) {   
        extract( $args );
        $number = $instance['number'];
        $title = $instance['title'];
        ?>



<?php echo wp_kses_post($before_widget); ?>
<?php if ( $title ) echo wp_kses_post($before_title) . esc_attr($title) . wp_kses_post($after_title); ?>

<ul class="article_list">
<?php $quemag_wp_posts = new WP_Query(array('post_type' => 'post', 'ignore_sticky_posts' => 1, 'posts_per_page' => esc_attr($number) )); // number to display more / less ?>
<?php $num=1; while ( $quemag_wp_posts->have_posts() ) : $quemag_wp_posts->the_post(); ?>

  <li>   
     <a href="<?php the_permalink(); ?>"> <?php echo the_post_thumbnail('quemag-wp-thumbnail-widget-big'); ?></a>
     <h4 class="article-title"> <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>

     <p><?php echo wp_kses_post(quemag_wp_excerpt(strip_tags(strip_shortcodes(get_the_excerpt())), 60)); ?></p>
                    <ul class="home-social">
                        <li class="fb"><?php $quemag_wp_facebooklink = 'https://www.facebook.com/sharer/sharer.php?u='; ?><a target="_blank" href="<?php echo esc_url($quemag_wp_facebooklink); ?><?php the_permalink(); ?>" onClick="javascript:window.open(this.href,'','menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=400,width=700');return false;"><i class="fab fa-facebook-f"></i></a></li>
                        <li class="tw"><?php $quemag_wp_twitterlink = 'https://twitter.com/intent/tweet?text=Check%20out%20this%20article:%20'; ?><a target="_blank" href="<?php echo esc_url($quemag_wp_twitterlink); ?><?php print quemag_social_title( get_the_title() ); ?>%20-%20<?php echo urlencode(the_permalink()); ?>" onClick="javascript:window.open(this.href,'','menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=400,width=700');return false;"><i class="fab fa-twitter"></i></a></li>
                        <li class="pi"><?php $quemag_wp_pinlink = 'https://pinterest.com/pin/create/button/?url='; ?><a target="_blank" href="<?php echo esc_url($quemag_wp_pinlink); ?><?php echo urlencode(the_permalink()); ?>&amp;description=<?php print quemag_social_title( get_the_title() ); ?>" onClick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=400,width=700');return false;"><i class="fab fa-pinterest-p"></i></a></li>
                        <li class="wa"><a target="_blank" href="https://api.whatsapp.com/send?text=<?php print quemag_social_title( get_the_title() ); ?>%20-%20<?php echo urlencode(the_permalink()); ?>" data-action="share/whatsapp/share" onClick="javascript:window.open(this.href,'','menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=400,width=700');return false;"><i class="fab fa-whatsapp"></i></a></li>
                    </ul>
  </li>

<?php endwhile; 
/* Restore original Post Data */
wp_reset_postdata(); ?>
</ul><div class="clear"></div>


<?php echo wp_kses_post($after_widget); ?> 


<?php
    }
    function update($new_instance, $old_instance) {       
    $instance = $old_instance;
    $instance['title'] = strip_tags($new_instance['title']);
    $instance['number'] = strip_tags($new_instance['number']);
    return $instance;
    }

  function form( $instance ) {
    $instance = wp_parse_args( (array) $instance );
?>


        <p>
          <label for="<?php echo esc_attr($this->get_field_id('title')); ?>"><?php esc_html_e( 'Title:', 'quemag-wp' ); ?></label> 
          <input class="widefat" id="<?php echo esc_attr($this->get_field_id('title')); ?>" name="<?php echo esc_attr($this->get_field_name('title')); ?>" type="text" value="<?php if( isset($instance['title']) ) echo esc_attr($instance['title']); ?>" />
        </p>

         <p>
          <label for="<?php echo esc_attr($this->get_field_id('number')); ?>"><?php esc_html_e( 'Number of Posts:', 'quemag-wp' ); ?></label>      
          <input class="widefat" id="<?php echo esc_attr($this->get_field_id('number')); ?>" name="<?php echo esc_attr($this->get_field_name('number')); ?>" type="text" value="<?php if( isset($instance['number']) ) echo esc_attr($instance['number']); ?>" />
         </p> 

<?php  } }

// register widget
function quemag_wp_recentposts_init_widget () {
    return register_widget('quemag_wp_recentposts');
  }
add_action ('widgets_init', 'quemag_wp_recentposts_init_widget');
?>