<?php
// ------------------------------------------------------
// ------ Module 1: Articles by Categories  -------------
// ------ by AnThemes.com -------------------------------
//        https://anthemes.com/
//        https://anthemes.com/pricing/ 
// ------------------------------------------------------

class quemag_wp_module1 extends WP_Widget {
     function __construct() {
	    $widget_ops = array('description' => esc_html__('Module 1: Display the most recent posts from a certain category.', 'quemag-wp'));
        parent::__construct(false, $name = ''. esc_html__('== Module 1 == Category Posts', 'quemag-wp') .'',$widget_ops); 
    }

   function widget($args, $instance) {  
		extract( $args );
		$title = $instance['title'];
    $moduletitle = $instance['moduletitle'];
		$category = $instance['category'];
    $number = $instance['number'];

    // Get the ID of a given category
    $category_id = $category;

    // Get the URL of this category
    $category_link = get_category_link( $category_id );    
?>
 
<?php echo wp_kses_post($before_widget); ?>
<?php if ( $title ) echo wp_kses_post($before_title) . esc_attr($title) . wp_kses_post($after_title); ?>


        <div class="widget-titlevertical"> <h3><?php echo esc_html( $moduletitle ); ?></h3> </div>
        <ul class="module-grid">

          <?php $quemag_wp_module_categories = new WP_Query(array('post_type' => 'post',  'ignore_sticky_posts' => esc_attr(1), 'cat' => esc_attr($category), 'posts_per_page' => esc_attr($number) )); // number to display more / less ?>
          <?php while ($quemag_wp_module_categories->have_posts()) : $quemag_wp_module_categories->the_post(); ?> 

            <li>
                <?php if ( has_post_thumbnail()) { ?>
                    <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail('quemag-wp-thumbnail-module-grid', array('title' => "")); ?></a>
                <?php } else { ?>             
                    <a href="<?php the_permalink(); ?>"> <img src="<?php echo esc_url(get_template_directory_uri()); ?>/images/random-img.png" alt="<?php esc_attr_e( 'Article image', 'quemag-wp' ); ?>" /></a>
                <?php } ?>

                <div class="modern-list-content-full">               
                    <h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
                        <p><?php echo wp_kses_post(quemag_wp_excerpt(strip_tags(strip_shortcodes(get_the_excerpt())), 85)); ?></p>

                    <div class="an-date"><i class="fas fa-clock"></i> <?php echo get_the_date(); ?></div>
                    <ul class="home-social">
                        <li class="fb"><?php $quemag_wp_facebooklink = 'https://www.facebook.com/sharer/sharer.php?u='; ?><a target="_blank" href="<?php echo esc_url($quemag_wp_facebooklink); ?><?php the_permalink(); ?>" onClick="javascript:window.open(this.href,'','menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=400,width=700');return false;"><i class="fab fa-facebook-f"></i></a></li>
                        <li class="tw"><?php $quemag_wp_twitterlink = 'https://twitter.com/intent/tweet?text=Check%20out%20this%20article:%20'; ?><a target="_blank" href="<?php echo esc_url($quemag_wp_twitterlink); ?><?php print quemag_social_title( get_the_title() ); ?>%20-%20<?php echo urlencode(the_permalink()); ?>" onClick="javascript:window.open(this.href,'','menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=400,width=700');return false;"><i class="fab fa-twitter"></i></a></li>
                        <li class="pi"><?php $quemag_wp_pinlink = 'https://pinterest.com/pin/create/button/?url='; ?><a target="_blank" href="<?php echo esc_url($quemag_wp_pinlink); ?><?php echo urlencode(the_permalink()); ?>&amp;description=<?php print quemag_social_title( get_the_title() ); ?>" onClick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=400,width=700');return false;"><i class="fab fa-pinterest-p"></i></a></li>
                        <li class="wa"><a target="_blank" href="https://api.whatsapp.com/send?text=<?php print quemag_social_title( get_the_title() ); ?>%20-%20<?php echo urlencode(the_permalink()); ?>" data-action="share/whatsapp/share" onClick="javascript:window.open(this.href,'','menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=400,width=700');return false;"><i class="fab fa-whatsapp"></i></a></li>
                    </ul>

                    <div class="clear"></div>
                </div><!-- end .modern-list-content -->     
            </li>

          <?php endwhile; 
          /* Restore original Post Data */
          wp_reset_postdata(); ?>
        </ul><div class="clear"></div>  

 

<?php echo wp_kses_post($after_widget); ?> 
  
<?php
    }

    function update($new_instance, $old_instance) {       
    $instance = $old_instance;
    $instance['title'] = strip_tags($new_instance['title']);
    $instance['number']    = is_numeric( $new_instance['number'] ) ? intval( $new_instance['number'] ) : 6;
    $instance['moduletitle'] = strip_tags($new_instance['moduletitle']);
    $instance['category']  = wp_strip_all_tags( $new_instance['category'] );
     return $instance;
    }

  function form( $instance ) {
    $defaults  = array( 'title' => '', 'moduletitle' => '', 'category' => '', 'number' => 4);
    $instance  = wp_parse_args( ( array ) $instance, $defaults );
    $title     = $instance['title'];
    $moduletitle     = $instance['moduletitle'];
    $category  = $instance['category'];
    $number    = $instance['number'];
?>

        <p>
          <label for="<?php echo esc_attr($this->get_field_id('moduletitle')); ?>"><?php esc_html_e( 'Module Title:', 'quemag-wp' ); ?></label> 
          <input class="widefat" id="<?php echo esc_attr($this->get_field_id('moduletitle')); ?>" name="<?php echo esc_attr($this->get_field_name('moduletitle')); ?>" type="text" value="<?php if( isset($instance['moduletitle']) ) echo esc_attr($instance['moduletitle']); ?>" />
        </p>

        <p>
          <label for="<?php echo esc_attr($this->get_field_id('number')); ?>"><?php esc_html_e( 'Number of Posts:', 'quemag-wp' ); ?></label>      
          <input class="widefat" id="<?php echo esc_attr($this->get_field_id('number')); ?>" name="<?php echo esc_attr($this->get_field_name('number')); ?>" type="text" value="<?php if( isset($instance['number']) ) echo esc_attr($instance['number']); ?>" />
        </p> 

        <p>
          <label for="<?php echo esc_attr($this->get_field_id('category')); ?>"><?php esc_html_e( 'Category:', 'quemag-wp' ); ?></label>      
            <?php
            wp_dropdown_categories( array(

              'show_count' => 1,
              'orderby'    => 'title',
              'hide_empty' => false,
              'name'       => esc_attr($this->get_field_name( 'category' )),
              'id'         => 'rpjc_widget_cat_recent_posts_category',
              'class'      => 'widefat',
              'selected'   => $category

            ) );
            ?>
        </p> 

<?php  } }

// register widget
function quemag_wp_module1_init_widget () {
    return register_widget('quemag_wp_module1');
  }
add_action ('widgets_init', 'quemag_wp_module1_init_widget');
?>