<?php
// ------------------------------------------------------
// ------ Widget Social  --------------------------------
// ------ by Anthemes.net -------------------------------
//        https://anthemes.com/
//        https://anthemes.com/pricing/ 
// ------------------------------------------------------

class quemag_wp_social extends WP_Widget {
     function __construct() {
	    $widget_ops = array('description' => esc_html__('Social Icons: FaceBook / Twitter / YouTube / Instagram / Pinterest', 'quemag-wp'));
        parent::__construct(false, $name = ''. esc_html__('Custom: Social Icons', 'quemag-wp') .'',$widget_ops); 
    }

   function widget($args, $instance) {  
		extract( $args );
		$title_tw = $instance['title_tw'];
		$fblink = $instance['fblink'];
    $twlink = $instance['twlink'];
    $ytlink = $instance['ytlink'];
    $inlink = $instance['inlink'];
    $pilink = $instance['pilink'];
?>		
 
<?php echo wp_kses_post($before_widget); ?> 
<?php if ( $title_tw ) echo wp_kses_post($before_title) . esc_attr( $title_tw ) . wp_kses_post($after_title); ?>

<ul class="social-widget">
        <?php if ( $inlink ) { ?><li><a class="inbutton" target="_blank" href="<?php echo esc_url( $inlink ); ?>"><i class="fab fa-instagram"></i> <span><?php esc_html_e( 'Follow', 'quemag-wp' ); ?></span></a></li><?php } ?>
        <?php if ( $fblink ) { ?><li><a class="fbbutton" target="_blank" href="<?php echo esc_url( $fblink ); ?>"><i class="fab fa-facebook-f"></i> <span><?php esc_html_e( 'Like', 'quemag-wp' ); ?></span></a></li><?php } ?>
        <?php if ( $twlink ) { ?><li><a class="twbutton" target="_blank" href="<?php echo esc_url( $twlink ); ?>"><i class="fab fa-twitter"></i> <span><?php esc_html_e( 'Follow', 'quemag-wp' ); ?></span></a></li><?php } ?>
        <?php if ( $ytlink ) { ?><li><a class="ytbutton" target="_blank" href="<?php echo esc_url( $ytlink ); ?>"><i class="fab fa-youtube"></i> <span><?php esc_html_e( 'Subscribe', 'quemag-wp' ); ?></span></a></li><?php } ?>
        <?php if ( $pilink ) { ?><li><a class="pibutton" target="_blank" href="<?php echo esc_url( $pilink ); ?>"><i class="fab fa-pinterest-p"></i> <span><?php esc_html_e( 'Follow', 'quemag-wp' ); ?></span></a></li><?php } ?>
</ul><!-- end .social-widget -->
<div class="clear"></div>

<?php echo wp_kses_post($after_widget); ?>
  
<?php
    }

     function update($new_instance, $old_instance) {				
			$instance = $old_instance;
			$instance['title_tw'] = strip_tags($new_instance['title_tw']);
			$instance['fblink'] = stripslashes($new_instance['fblink']);
      $instance['twlink'] = stripslashes($new_instance['twlink']);
      $instance['ytlink'] = stripslashes($new_instance['ytlink']);
      $instance['inlink'] = stripslashes($new_instance['inlink']);
      $instance['pilink'] = stripslashes($new_instance['pilink']);
     return $instance;
    }

 	function form( $instance ) {
		$instance = wp_parse_args( (array) $instance);
?> 

        <p>
          <label for="<?php echo esc_attr($this->get_field_id('inlink')); ?>"><?php esc_html_e( 'Instagram Link:', 'quemag-wp' ); ?></label> 
          <input class="widefat" id="<?php echo esc_attr($this->get_field_id('inlink')); ?>" name="<?php echo esc_attr($this->get_field_name('inlink')); ?>" type="text" value="<?php if( isset($instance['inlink']) ) echo esc_attr($instance['inlink']); ?>" />
        </p>
        
        <p>
          <label for="<?php echo esc_attr($this->get_field_id('fblink')); ?>"><?php esc_html_e( 'Facebook Link:', 'quemag-wp' ); ?></label> 
          <input class="widefat" id="<?php echo esc_attr($this->get_field_id('fblink')); ?>" name="<?php echo esc_attr($this->get_field_name('fblink')); ?>" type="text" value="<?php if( isset($instance['fblink']) ) echo esc_attr($instance['fblink']); ?>" />
        </p>

        <p>
          <label for="<?php echo esc_attr($this->get_field_id('twlink')); ?>"><?php esc_html_e( 'Twitter Link:', 'quemag-wp' ); ?></label> 
          <input class="widefat" id="<?php echo esc_attr($this->get_field_id('twlink')); ?>" name="<?php echo esc_attr($this->get_field_name('twlink')); ?>" type="text" value="<?php if( isset($instance['twlink']) ) echo esc_attr($instance['twlink']); ?>" />
        </p>

        <p>
          <label for="<?php echo esc_attr($this->get_field_id('ytlink')); ?>"><?php esc_html_e( 'YouTube Link:', 'quemag-wp' ); ?></label> 
          <input class="widefat" id="<?php echo esc_attr($this->get_field_id('ytlink')); ?>" name="<?php echo esc_attr($this->get_field_name('ytlink')); ?>" type="text" value="<?php if( isset($instance['ytlink']) ) echo esc_attr($instance['ytlink']); ?>" />
        </p>

        <p>
          <label for="<?php echo esc_attr($this->get_field_id('pilink')); ?>"><?php esc_html_e( 'Pinterest Link:', 'quemag-wp' ); ?></label> 
          <input class="widefat" id="<?php echo esc_attr($this->get_field_id('pilink')); ?>" name="<?php echo esc_attr($this->get_field_name('pilink')); ?>" type="text" value="<?php if( isset($instance['pilink']) ) echo esc_attr($instance['pilink']); ?>" />
        </p>        

<?php  } }

// register widget
function quemag_wp_social_init_widget () {
    return register_widget('quemag_wp_social');
  }
add_action ('widgets_init', 'quemag_wp_social_init_widget');
?>